## org.apache.lucene.analysis.in
Class IndicTokenizer

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.Tokenizer
                  org.apache.lucene.analysis.CharTokenizer
                      org.apache.lucene.analysis.in.IndicTokenizer

All Implemented Interfaces:
  Closeable

Deprecated. (3.6) Use `StandardTokenizer` instead.

    @Deprecated
    public final class IndicTokenizer

extends org.apache.lucene.analysis.CharTokenizer

Simple Tokenizer for text in Indian Languages.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.Tokenizer
`input`

Constructor Summary
`IndicTokenizer(org.apache.lucene.util.Version matchVersion, org.apache.lucene.util.AttributeSource.AttributeFactory factory, Reader input)` Deprecated.
`IndicTokenizer(org.apache.lucene.util.Version matchVersion, org.apache.lucene.util.AttributeSource source, Reader input)` Deprecated.
`IndicTokenizer(org.apache.lucene.util.Version matchVersion, Reader input)` Deprecated.

Method Summary
`protected boolean` `isTokenChar(int c)` Deprecated.

Methods inherited from class org.apache.lucene.analysis.CharTokenizer
`end, incrementToken, isTokenChar, normalize, normalize, reset`

Methods inherited from class org.apache.lucene.analysis.Tokenizer
`close, correctOffset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IndicTokenizer

    public IndicTokenizer(org.apache.lucene.util.Version matchVersion,
                          org.apache.lucene.util.AttributeSource.AttributeFactory factory,
                          Reader input)

  Deprecated.

### IndicTokenizer

    public IndicTokenizer(org.apache.lucene.util.Version matchVersion,
                          org.apache.lucene.util.AttributeSource source,
                          Reader input)

  Deprecated.

### IndicTokenizer

    public IndicTokenizer(org.apache.lucene.util.Version matchVersion,
                          Reader input)

  Deprecated.

Method Detail

### isTokenChar

    protected boolean isTokenChar(int c)

  Deprecated.
  Overrides:
    `isTokenChar` in class `org.apache.lucene.analysis.CharTokenizer`